GNU bug report logs - #34607
url-retrieve-synchronously: TIMEOUT option value takes no effect

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Reported by: Bad Blue Bull <ibmbull@HIDDEN>; Keywords: confirmed; dated Thu, 21 Feb 2019 17:00:02 UTC; Maintainer for emacs is bug-gnu-emacs@HIDDEN.

Message received at 34607 <at> debbugs.gnu.org:


Received: (at 34607) by debbugs.gnu.org; 15 May 2019 04:08:59 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed May 15 00:08:59 2019
Received: from localhost ([127.0.0.1]:50661 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hQlDt-0001TM-7H
	for submit <at> debbugs.gnu.org; Wed, 15 May 2019 00:08:59 -0400
Received: from hermes.netfonds.no ([80.91.224.195]:36388)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1hQlDr-0001TD-4q
 for 34607 <at> debbugs.gnu.org; Wed, 15 May 2019 00:08:55 -0400
Received: from cm-84.212.202.86.getinternet.no ([84.212.202.86] helo=marnie)
 by hermes.netfonds.no with esmtpsa (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.84_2) (envelope-from <larsi@HIDDEN>)
 id 1hQlDo-0004DN-BE; Wed, 15 May 2019 06:08:54 +0200
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Bad Blue Bull <ibmbull@HIDDEN>
Subject: Re: bug#34607: (no subject)
References: <4482471550768338@HIDDEN>
 <8701561550840358@HIDDEN>
Date: Wed, 15 May 2019 06:08:47 +0200
In-Reply-To: <8701561550840358@HIDDEN> (Bad Blue
 Bull's message of "Fri, 22 Feb 2019 15:59:18 +0300")
Message-ID: <87r290xsts.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 2.0 (++)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview:  Bad Blue Bull <ibmbull@HIDDEN> writes: > sorry, elisp line
 intented intended to be > (with-current-buffer (url-retrieve-synchronously
 "http://gnu.org" nil t 3) (kill-buffer)) This is surprisingly difficult to
 fix -- the reason being that URL library is asynchronously following a
 redirect, 
 and possibly opening a new connection, and then marking that new connection
 with `pro [...] 
 Content analysis details:   (2.0 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 0.0 URIBL_BLOCKED          ADMINISTRATOR NOTICE: The query to URIBL was
 blocked.  See
 http://wiki.apache.org/spamassassin/DnsBlocklists#dnsbl-block
 for more information. [URIs: gnu.org]
 -0.0 RCVD_IN_DNSWL_NONE     RBL: Sender listed at https://www.dnswl.org/,
 no trust [80.91.224.195 listed in list.dnswl.org]
 2.0 SLIGHTLY_BAD_SUBJECT   Subject contains something slightly spammy
X-Debbugs-Envelope-To: 34607
Cc: 34607 <34607 <at> debbugs.gnu.org>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 1.0 (+)

Bad Blue Bull <ibmbull@HIDDEN> writes:

> sorry, elisp line intented intended to be
> (with-current-buffer (url-retrieve-synchronously "http://gnu.org" nil t 3) (kill-buffer))

This is surprisingly difficult to fix -- the reason being that URL
library is asynchronously following a redirect, and possibly opening a
new connection, and then marking that new connection with
`process-query-on-exit-flag'.  So depending on where you are in that
cycle, the buffer may have a query-enabled process when you try to kill
it.

Which sucks.

On timeouts, url-retrive-synchronously should abort the entire thing,
but url-retrieve (which is used in the background) doesn't really
support that...

Hm.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#34607; Package emacs. Full text available.
Added tag(s) confirmed. Request was from Lars Ingebrigtsen <larsi@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 34607 <at> debbugs.gnu.org:


Received: (at 34607) by debbugs.gnu.org; 22 Feb 2019 12:59:31 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Feb 22 07:59:31 2019
Received: from localhost ([127.0.0.1]:47645 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1gxAQM-0003H4-Ot
	for submit <at> debbugs.gnu.org; Fri, 22 Feb 2019 07:59:31 -0500
Received: from forward100j.mail.yandex.net ([5.45.198.240]:55100)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <ibmbull@HIDDEN>) id 1gxAQJ-0003Gn-G2
 for 34607 <at> debbugs.gnu.org; Fri, 22 Feb 2019 07:59:29 -0500
Received: from mxback9j.mail.yandex.net (mxback9j.mail.yandex.net
 [IPv6:2a02:6b8:0:1619::112])
 by forward100j.mail.yandex.net (Yandex) with ESMTP id 3BF8950E1E48
 for <34607 <at> debbugs.gnu.org>; Fri, 22 Feb 2019 15:59:19 +0300 (MSK)
Received: from localhost (localhost [::1])
 by mxback9j.mail.yandex.net (nwsmtp/Yandex) with ESMTP id nkYnR8W3qD-xIp0E1ZB; 
 Fri, 22 Feb 2019 15:59:18 +0300
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=yandex.ru; s=mail;
 t=1550840358; bh=8eS6rJHFWUp/MC5L5ehVTfA0gvxRPHCbtTvfXDBYy70=;
 h=Message-Id:Date:To:From;
 b=o0K6fMeFXEKH6R8johVothbg6OV1IATD8S08Tb/3jF32EAsgRTZjVWTVRw354K/TK
 TGrsa3/Y+aT/iCplTggugJM09Yy6zDXAKs8QZU0UQEANFykduGDYpTfBmsvhPDKxjA
 sClACNIFpiUJ58xIKNdrMIA2XFuyLqacIwRkGF0k=
Authentication-Results: mxback9j.mail.yandex.net; dkim=pass header.i=@yandex.ru
Received: by sas1-adb97d30497b.qloud-c.yandex.net with HTTP;
 Fri, 22 Feb 2019 15:59:18 +0300
From: Bad Blue Bull <ibmbull@HIDDEN>
To: 34607 <34607 <at> debbugs.gnu.org>
MIME-Version: 1.0
X-Mailer: Yamail [ http://yandex.ru ] 5.0
Date: Fri, 22 Feb 2019 15:59:18 +0300
Message-Id: <8701561550840358@HIDDEN>
Content-Transfer-Encoding: 7bit
Content-Type: text/html
X-Spam-Score: 3.0 (+++)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview:  sorry,
 elisp line intented intended to be (with-current-buffer
 (url-retrieve-synchronously "http://gnu.org" nil t 3) (kill-buffer)) 
 Content analysis details:   (3.0 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 0.0 URIBL_BLOCKED          ADMINISTRATOR NOTICE: The query to URIBL was
 blocked.  See
 http://wiki.apache.org/spamassassin/DnsBlocklists#dnsbl-block
 for more information. [URIs: yandex.ru]
 -0.7 RCVD_IN_DNSWL_LOW      RBL: Sender listed at http://www.dnswl.org/,
 low trust [5.45.198.240 listed in list.dnswl.org]
 -0.0 SPF_PASS               SPF: sender matches SPF record
 0.0 FREEMAIL_FROM          Sender email is commonly abused enduser mail
 provider (ibmbull[at]yandex.ru)
 1.1 MIME_HTML_ONLY         BODY: Message only has text/html MIME parts
 0.0 HTML_MESSAGE           BODY: HTML included in message
 0.6 HTML_MIME_NO_HTML_TAG  HTML-only message, but there is no HTML
 tag 1.8 MISSING_SUBJECT        Missing Subject: header
 0.2 NO_SUBJECT             Extra score for no subject
X-Debbugs-Envelope-To: 34607
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 2.0 (++)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 
 Content preview:  sorry, elisp line intented intended to be (with-current-buffer
    (url-retrieve-synchronously "http://gnu.org" nil t 3) (kill-buffer)) 
 
 Content analysis details:   (2.0 points, 10.0 required)
 
  pts rule name              description
 ---- ---------------------- --------------------------------------------------
  0.0 URIBL_BLOCKED          ADMINISTRATOR NOTICE: The query to URIBL was
                             blocked.  See
                             http://wiki.apache.org/spamassassin/DnsBlocklists#dnsbl-block
                              for more information.
                             [URIs: yandex.ru]
 -0.7 RCVD_IN_DNSWL_LOW      RBL: Sender listed at http://www.dnswl.org/,
                             low trust
                             [5.45.198.240 listed in list.dnswl.org]
 -0.0 SPF_PASS               SPF: sender matches SPF record
  0.0 FREEMAIL_FROM          Sender email is commonly abused enduser mail
                             provider (ibmbull[at]yandex.ru)
  1.1 MIME_HTML_ONLY         BODY: Message only has text/html MIME parts
  0.0 HTML_MESSAGE           BODY: HTML included in message
 -1.0 MAILING_LIST_MULTI     Multiple indicators imply a widely-seen list
                             manager
  0.6 HTML_MIME_NO_HTML_TAG  HTML-only message, but there is no HTML
                             tag
  1.8 MISSING_SUBJECT        Missing Subject: header
  0.2 NO_SUBJECT             Extra score for no subject

<div xmlns="http://www.w3.org/1999/xhtml">sorry, elisp line intented intended to be</div><div xmlns="http://www.w3.org/1999/xhtml">(with-current-buffer (url-retrieve-synchronously "http://gnu.org" nil t 3) (kill-buffer))</div>




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#34607; Package emacs. Full text available.

Message received at 34607 <at> debbugs.gnu.org:


Received: (at 34607) by debbugs.gnu.org; 22 Feb 2019 01:29:02 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Feb 21 20:29:01 2019
Received: from localhost ([127.0.0.1]:47480 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1gwze6-0001Nh-8h
	for submit <at> debbugs.gnu.org; Thu, 21 Feb 2019 20:28:59 -0500
Received: from forward400j.mail.yandex.net ([5.45.198.245]:39578)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <ibmbull@HIDDEN>) id 1gwzdx-0001NF-I5
 for 34607 <at> debbugs.gnu.org; Thu, 21 Feb 2019 20:28:53 -0500
Received: from mxback17g.mail.yandex.net (mxback17g.mail.yandex.net
 [IPv6:2a02:6b8:0:1472:2741:0:8b7:317])
 by forward400j.mail.yandex.net (Yandex) with ESMTP id D78176E0472
 for <34607 <at> debbugs.gnu.org>; Fri, 22 Feb 2019 04:28:41 +0300 (MSK)
Received: from localhost (localhost [::1])
 by mxback17g.mail.yandex.net (nwsmtp/Yandex) with ESMTP id UYxkGdhZD4-Sf3qlLfC;
 Fri, 22 Feb 2019 04:28:41 +0300
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=yandex.ru; s=mail;
 t=1550798921; bh=2LNrjfxbBLJFPw315SIrFVwAOvcly1+OSMN5fOaySVU=;
 h=Message-Id:Date:Subject:To:From;
 b=GQBmMMUpM/+0BOBOhV3i2Seq5G+Qqe8OUjauhgQONT1kCRT+ZK2QTVUjbUWoowQXt
 uphJw9kUNM0boqtWdSNdg0E8tyb9ghnaB7rIgEaYNBaT/R9j7402dpC8sttYu1Xq3o
 POetUEu0KqaSWjykHvaPAJKNPU6ht20U8wPtm1AQ=
Authentication-Results: mxback17g.mail.yandex.net;
 dkim=pass header.i=@yandex.ru
Received: by iva3-a2a8aac410a1.qloud-c.yandex.net with HTTP;
 Fri, 22 Feb 2019 04:28:41 +0300
From: Bad Blue Bull <ibmbull@HIDDEN>
To: 34607 <at> debbugs.gnu.org
Subject: url-retrieve-synchronously: TIMEOUT option value takes no effect
MIME-Version: 1.0
X-Mailer: Yamail [ http://yandex.ru ] 5.0
Date: Fri, 22 Feb 2019 04:28:41 +0300
Message-Id: <5461661550798921@HIDDEN>
Content-Transfer-Encoding: 7bit
Content-Type: text/html
X-Spam-Score: 1.0 (+)
X-Debbugs-Envelope-To: 34607
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.0 (/)

<div xmlns="http://www.w3.org/1999/xhtml">yet when TIMEOUT is set sync retrieval may return a buffer that is possessed by a process.</div><div xmlns="http://www.w3.org/1999/xhtml">(with-current-buffer (url-retrieve-synchronously "http://gnu.org" nil t 3)</div><div xmlns="http://www.w3.org/1999/xhtml">may end with:</div><div xmlns="http://www.w3.org/1999/xhtml">Buffer " *http gnu.org:80*" has a running process; kill it? (y or n)</div><div xmlns="http://www.w3.org/1999/xhtml">and even after aswered "yes" number of buffers is incremented.</div>




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#34607; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 21 Feb 2019 16:59:19 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Feb 21 11:59:19 2019
Received: from localhost ([127.0.0.1]:59781 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1gwrgt-0005vV-2y
	for submit <at> debbugs.gnu.org; Thu, 21 Feb 2019 11:59:19 -0500
Received: from eggs.gnu.org ([209.51.188.92]:41210)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <ibmbull@HIDDEN>) id 1gwrgo-0005vG-W3
 for submit <at> debbugs.gnu.org; Thu, 21 Feb 2019 11:59:17 -0500
Received: from lists.gnu.org ([209.51.188.17]:42647)
 by eggs.gnu.org with esmtps (TLS1.0:RSA_AES_256_CBC_SHA1:32)
 (Exim 4.71) (envelope-from <ibmbull@HIDDEN>) id 1gwrgj-0006ZR-Mo
 for submit <at> debbugs.gnu.org; Thu, 21 Feb 2019 11:59:09 -0500
Received: from eggs.gnu.org ([209.51.188.92]:55586)
 by lists.gnu.org with esmtp (Exim 4.71)
 (envelope-from <ibmbull@HIDDEN>) id 1gwrgi-0007VW-Nr
 for bug-gnu-emacs@HIDDEN; Thu, 21 Feb 2019 11:59:09 -0500
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: *
X-Spam-Status: No, score=1.2 required=5.0 tests=BAYES_50,FREEMAIL_FROM,
 HTML_MESSAGE,HTML_MIME_NO_HTML_TAG,MIME_HTML_ONLY,RCVD_IN_DNSWL_LOW,
 URIBL_BLOCKED autolearn=disabled version=3.3.2
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <ibmbull@HIDDEN>) id 1gwrgh-0006X3-Dz
 for bug-gnu-emacs@HIDDEN; Thu, 21 Feb 2019 11:59:08 -0500
Received: from forward400j.mail.yandex.net ([5.45.198.245]:37749)
 by eggs.gnu.org with esmtps (TLS1.0:DHE_RSA_AES_256_CBC_SHA1:32)
 (Exim 4.71) (envelope-from <ibmbull@HIDDEN>) id 1gwrgg-0006SM-P5
 for bug-gnu-emacs@HIDDEN; Thu, 21 Feb 2019 11:59:07 -0500
Received: from mxback20o.mail.yandex.net (mxback20o.mail.yandex.net
 [IPv6:2a02:6b8:0:1a2d::71])
 by forward400j.mail.yandex.net (Yandex) with ESMTP id C21E06E0E35
 for <bug-gnu-emacs@HIDDEN>; Thu, 21 Feb 2019 19:58:59 +0300 (MSK)
Received: from localhost (localhost [::1])
 by mxback20o.mail.yandex.net (nwsmtp/Yandex) with ESMTP id 1WL1byoeJS-ww1iqRgk;
 Thu, 21 Feb 2019 19:58:59 +0300
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=yandex.ru; s=mail;
 t=1550768339; bh=Wy4ZzhyjPTwXeG3h6RPH1npCk0ep/9cWdqlhc3wDLzg=;
 h=Message-Id:Date:Subject:To:From;
 b=bDXjeKKv4TnB5oaQ5gcLoa+5Z4vXKfb4AY/TAaUHT8kerVNndbl4Im4Br/EEjScb7
 Snj5eiygGZ9+qK06snzDSqGvOFzTUt+zVKgJFDukUl94w7LiZLr7gDTts9TjF7i1Mt
 0BQuXo0uc/BsE3UCmRkM5jJ/ErRZ6dGO8JkYxnmg=
Authentication-Results: mxback20o.mail.yandex.net;
 dkim=pass header.i=@yandex.ru
Received: by iva6-fcf606ab9514.qloud-c.yandex.net with HTTP;
 Thu, 21 Feb 2019 19:58:58 +0300
From: Bad Blue Bull <ibmbull@HIDDEN>
To: bug-gnu-emacs@HIDDEN
Subject: url-retrieve-synchronously: TIMEOUT option value takes no effect
MIME-Version: 1.0
X-Mailer: Yamail [ http://yandex.ru ] 5.0
Date: Thu, 21 Feb 2019 19:58:58 +0300
Message-Id: <4482471550768338@HIDDEN>
Content-Type: text/html; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
 [fuzzy]
X-Received-From: 5.45.198.245
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6.x
X-Spam-Score: 2.7 (++)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview: try (with-current-buffer (url-retrieve-synchronously
 "http://foo.bar"
 nil 't 1) (kill-buffer)) Documentation says: (url-retrieve-synchronously
 URL &optional SILENT INHIBIT-COOKIES TIMEOUT) 
 Content analysis details:   (2.7 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 0.0 URIBL_BLOCKED          ADMINISTRATOR NOTICE: The query to URIBL was
 blocked.  See
 http://wiki.apache.org/spamassassin/DnsBlocklists#dnsbl-block
 for more information. [URIs: foo.bar]
 -0.0 RCVD_IN_MSPIKE_H2      RBL: Average reputation (+2)
 [209.51.188.92 listed in wl.mailspike.net]
 1.0 SPF_SOFTFAIL           SPF: sender does not match SPF record (softfail)
 0.0 FREEMAIL_FROM          Sender email is commonly abused enduser mail
 provider (ibmbull[at]yandex.ru)
 1.1 MIME_HTML_ONLY         BODY: Message only has text/html MIME parts
 0.0 HTML_MESSAGE           BODY: HTML included in message
 0.6 HTML_MIME_NO_HTML_TAG  HTML-only message, but there is no HTML
 tag
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 1.7 (+)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 
 Content preview:  try (with-current-buffer (url-retrieve-synchronously "http://foo.bar"
    nil 't 1) (kill-buffer)) Documentation says: (url-retrieve-synchronously
   URL &optional SILENT INHIBIT-COOKIES TIMEOUT) 
 
 Content analysis details:   (1.7 points, 10.0 required)
 
  pts rule name              description
 ---- ---------------------- --------------------------------------------------
  0.0 URIBL_BLOCKED          ADMINISTRATOR NOTICE: The query to URIBL was
                             blocked.  See
                             http://wiki.apache.org/spamassassin/DnsBlocklists#dnsbl-block
                              for more information.
                             [URIs: foo.bar]
 -0.0 RCVD_IN_MSPIKE_H2      RBL: Average reputation (+2)
                             [209.51.188.92 listed in wl.mailspike.net]
  1.0 SPF_SOFTFAIL           SPF: sender does not match SPF record (softfail)
  0.0 FREEMAIL_FROM          Sender email is commonly abused enduser mail
                             provider (ibmbull[at]yandex.ru)
  1.1 MIME_HTML_ONLY         BODY: Message only has text/html MIME parts
  0.0 HTML_MESSAGE           BODY: HTML included in message
 -1.0 MAILING_LIST_MULTI     Multiple indicators imply a widely-seen list
                             manager
  0.6 HTML_MIME_NO_HTML_TAG  HTML-only message, but there is no HTML
                             tag

<div xmlns=3D"http://www.w3.org/1999/xhtml">try (with-current-buffer (url=
-retrieve-synchronously "<a href=3D"http://foo.bar&quot; nil 't 1) (kill-=
buffer))">http://foo.bar" nil 't 1) (kill-buffer))</a></div><div xmlns=3D=
"http://www.w3.org/1999/xhtml">Documentation says:</div><blockquote xmlns=
=3D"http://www.w3.org/1999/xhtml"><div>(url-retrieve-synchronously URL &a=
mp;optional SILENT INHIBIT-COOKIES TIMEOUT)</div><div>...</div><div>"If T=
IMEOUT is passed, it should be a number that says (in seconds) how long t=
o wait for a response before giving up."</div></blockquote><div xmlns=3D"=
http://www.w3.org/1999/xhtml">Actually TIMEOUT is not working for me.</di=
v><div xmlns=3D"http://www.w3.org/1999/xhtml">=C2=A0</div><div xmlns=3D"h=
ttp://www.w3.org/1999/xhtml">******</div><div xmlns=3D"http://www.w3.org/=
1999/xhtml">GNU Emacs 27.0.50 (build 1, x86_64-pc-linux-gnu, GTK+ Version=
 3.18.9)</div>




Acknowledgement sent to Bad Blue Bull <ibmbull@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#34607; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Wed, 15 May 2019 04:15:01 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.